﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using DataDynamics.Reports;
using DataDynamics.Reports.Configuration;
using System.IO;

namespace ODBCReport
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {


            FileInfo rptPath = new FileInfo(@"C:\Users\GPCTAdmin\Documents\ODBCReport.rdlx");

            ReportDefinition definition = new ReportDefinition(rptPath);
            definition.ConfigurationProvider = new DefaultConfigurationProvider();// ApplicationConfigurationProvider();
            ReportRuntime runtime = new ReportRuntime(definition);

            System.IO.DirectoryInfo di = System.IO.Directory.GetParent(Application.StartupPath).Parent;
            String folderPath = @"C:\Users\GPCTAdmin\Documents\Visual Studio 2010\Projects\ODBCReport\ODBCReport\Certification";
               // di.FullName;

            String driver = "Driver={MySQL ODBC 3.51 Driver};";
            String server = "Server='localhost:3036';";                // Your Server Address
            String database = "Database=sakila;";                   // Your Database Name
            String user = "User=root;";                         // Your User
            String password = "Password=grape123;";                 // Your Password
            String sslca = String.Format("sslca={0}\\certification.dbms.server.ca.crt;", folderPath);
            String sslcert = String.Format("sslca={0}\\certification.dbms.server.crt;", folderPath);
            String sslkey = String.Format("sslca={0}\\certification.dbms.server.key;", folderPath);
            String option = "Option=3;";

            if (System.IO.File.Exists(String.Format(sslca)) ||
                System.IO.File.Exists(String.Format(sslcert)) ||
                System.IO.File.Exists(String.Format(sslkey)))
            {
                Debug.Write("Not Exist File");
            }

            String connectionString = String.Format("{0}{1}{2}{3}{4}{5}{6}{7}{8}", driver, server, database, user, password, sslca, sslcert, sslkey, option);
            

            definition.Report.DataSources[0].ConnectionProperties.ConnectString = connectionString;
        
            reportPreview1.OpenReport(rptPath);
        }


       

    }
}
